commit:     05ce727023d6f6764dae8a4c8848296f902f4ad1
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Fri Jul  1 03:51:32 2022 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sat Jul  2 02:52:57 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=05ce7270

net-libs/libsoup: Version bump to 3.0.7

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 net-libs/libsoup/Manifest             |  1 +
 net-libs/libsoup/libsoup-3.0.7.ebuild | 92 +++++++++++++++++++++++++++++++++++
 2 files changed, 93 insertions(+)

diff --git a/net-libs/libsoup/Manifest b/net-libs/libsoup/Manifest
index 6a4825dc65db..a1f82371d03a 100644
--- a/net-libs/libsoup/Manifest
+++ b/net-libs/libsoup/Manifest
@@ -1,2 +1,3 @@
 DIST libsoup-2.74.2.tar.xz 1497356 BLAKE2B 
b05e5d06e20a95042334c79e3a633ec43db0e7444b425f8577045fbdee7b78bd697e743f4283ed79265bbe538145a541ef2ef55636ae235667a89d00910d5bf2
 SHA512 
6f9da3296364e210103093cef9ef34fb40f694a8ef90966fc1fbd834c11f3db1031784a0901e9181bf3124e0682708148bd3598a31d60f1cce61eaae2e19ba7a
 DIST libsoup-3.0.6.tar.xz 1527232 BLAKE2B 
28a2aec2323686af692bfcee3126c76b8506c7721b81bd3beb276b488ec6c26498e4b1396ea6d3537cf00a203cbca2798ea414c4d2227f9c520660fc61459804
 SHA512 
4de84b3c251b6fe75903b1cd2647ac22055f799382a186efe6f45d3f75bf6c82040f0aaceb40d0019769cf1c0295511eb0afbbc7236e93b168ed70c2ae975a89
+DIST libsoup-3.0.7.tar.xz 1525104 BLAKE2B 
d9a8fddce286691f58901052f484c7a81e46e5c4625514609fc319c8a383b459631fbee95a0f3cfcbe296eb96907571c8fa57cf5c1b9cd742453d366057640fd
 SHA512 
bb48b2475ec4b073de144ad91459843946ba902fc0849b88c548ccb774fc3854451239267dd097a3da4e40f025ae746609b669ec0caffdb15e7b07118e881cfd

diff --git a/net-libs/libsoup/libsoup-3.0.7.ebuild 
b/net-libs/libsoup/libsoup-3.0.7.ebuild
new file mode 100644
index 000000000000..84e2cca340d9
--- /dev/null
+++ b/net-libs/libsoup/libsoup-3.0.7.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+VALA_MIN_API_VERSION="0.54" # requires gio-2.0.vapi generated from glib-2.70+
+
+inherit gnome.org meson-multilib vala xdg
+
+DESCRIPTION="HTTP client/server library for GNOME"
+HOMEPAGE="https://wiki.gnome.org/Projects/libsoup";
+
+LICENSE="LGPL-2.1+"
+SLOT="3.0"
+
+IUSE="+brotli gssapi gtk-doc +introspection samba ssl sysprof test +vala"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="vala? ( introspection )"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86"
+
+DEPEND="
+       >=dev-libs/glib-2.69.1:2[${MULTILIB_USEDEP}]
+       net-libs/nghttp2:=[${MULTILIB_USEDEP}]
+       >=dev-db/sqlite-3.8.2:3[${MULTILIB_USEDEP}]
+       brotli? ( >=app-arch/brotli-1.0.6-r1:=[${MULTILIB_USEDEP}] )
+       >=net-libs/libpsl-0.20[${MULTILIB_USEDEP}]
+       sysprof? ( >=dev-util/sysprof-capture-3.40.1:4[${MULTILIB_USEDEP}] )
+       sys-libs/zlib
+       gssapi? ( virtual/krb5[${MULTILIB_USEDEP}] )
+       introspection? ( >=dev-libs/gobject-introspection-1.54:= )
+       samba? ( net-fs/samba )
+"
+RDEPEND="${DEPEND}
+       >=net-libs/glib-networking-2.70_alpha[ssl?,${MULTILIB_USEDEP}]
+"
+BDEPEND="
+       dev-libs/glib
+       dev-util/glib-utils
+       gtk-doc? ( >=dev-util/gtk-doc-1.20
+               app-text/docbook-xml-dtd:4.1.2 )
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+       vala? ( $(vala_depend) )
+       test? ( >=net-libs/gnutls-3.6.0[pkcs11] )
+"
+#      test? ( 
www-servers/apache[ssl,apache2_modules_auth_digest,apache2_modules_alias,apache2_modules_auth_basic,
+#              
apache2_modules_authn_file,apache2_modules_authz_host,apache2_modules_authz_user,apache2_modules_dir,
+#              
apache2_modules_mime,apache2_modules_proxy,apache2_modules_proxy_http,apache2_modules_proxy_connect]
+#              dev-lang/php[apache2,xmlrpc]
+#              net-misc/curl
+#              net-libs/glib-networking[ssl])"
+
+PATCHES=(
+       # Disable apache tests until they are usable on Gentoo, bug #326957
+       "${FILESDIR}"/disable-apache-tests.patch
+)
+
+src_prepare() {
+       default
+       use vala && vala_setup
+       xdg_environment_reset
+       # https://gitlab.gnome.org/GNOME/libsoup/issues/159 - could work with 
libnss-myhostname
+       sed -e '/hsts/d' -i tests/meson.build || die
+}
+
+src_configure() {
+       # FIXME: we need addpredict to workaround bug #324779 until
+       # root cause (bug #249496) is solved
+       # But unnecessary while apache tests are disabled
+       #addpredict /usr/share/snmp/mibs/.index
+
+       multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+       local emesonargs=(
+               $(meson_feature gssapi)
+               -Dkrb5_config="${CHOST}-krb5-config"
+               $(meson_feature samba ntlm)
+               $(meson_feature brotli)
+               -Dntlm_auth="${EPREFIX}/usr/bin/ntlm_auth"
+               -Dtls_check=false # disables check, we still rdep on 
glib-networking
+               $(meson_native_use_feature introspection)
+               $(meson_native_use_feature vala vapi)
+               $(meson_native_use_bool gtk-doc gtk_doc)
+               $(meson_use test tests)
+               -Dinstalled_tests=false
+               $(meson_feature sysprof)
+               $(meson_feature test pkcs11_tests)
+       )
+       meson_src_configure
+}

Reply via email to